<div class="events-history-dialog">
  <div class="d-flex align-items-center events-history-dialog-header">
    <h2>Events History</h2>
    <span class="spacer"></span>
    <button
      class="close-button"
      color="primary"
      mat-icon-button
      (click)="closeDialog()"
      aria-label="Icon-button with close icon"
    >
      <mat-icon>close</mat-icon>
    </button>
  </div>

  <mat-dialog-content>
    <table
      mat-table
      [dataSource]="tableDataSource"
      matSort
      class="events-history-table border-grey-300"
      aria-label="Events history table"
    >
      <ng-container matColumnDef="date">
        <th
          mat-header-cell
          *matHeaderCellDef
          mat-sort-header
          sortActionDescription="Sort by component date"
        >
          Date
        </th>
        <td mat-cell *matCellDef="let item">
          {{ item.date | date: "dd/M/yyyy" }}
          <br />
          {{ item.date | date: "HH:mm:ss" : "UTC +4" }}
        </td>
      </ng-container>
      <ng-container matColumnDef="event">
        <th
          mat-header-cell
          *matHeaderCellDef
          mat-sort-header
          sortActionDescription="Sort by component event"
        >
          Event
        </th>
        <td
          mat-cell
          *matCellDef="let item"
          class="h-100 align-items-center justify-content-between"
        >
          <mat-icon
            [ngClass]="{
              warning: item.event.status === 'warning',
              success: item.event.status === 'check',
              error: item.event.status === 'error'
            }"
            class="status-icon material-icons-outlined"
          >
            {{ item.event.status }}
          </mat-icon>
          <div class="d-inline-flex">
            {{ " " + item.event.text }}
          </div>
        </td>
      </ng-container>

      <ng-container matColumnDef="path">
        <th
          mat-header-cell
          *matHeaderCellDef
          mat-sort-header
          sortActionDescription="Sort by path"
        >
          Path
        </th>
        <td mat-cell *matCellDef="let item">
          {{ item.path }}
        </td>
      </ng-container>

      <ng-container matColumnDef="details">
        <th
          mat-header-cell
          *matHeaderCellDef
          mat-sort-header
          sortActionDescription="Sort by details"
        >
          Details
        </th>
        <td mat-cell *matCellDef="let item">
          {{ item.details }}
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="tableColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: tableColumns"></tr>
    </table>
  </mat-dialog-content>
</div>
